/** 设备id */
@Excel(name = "设备id")
@ApiModelProperty(value = "设备id")
private Long maId;

/** 系统编码 */
@Excel(name = "系统编码")
@ApiModelProperty(value = "系统编码")
private String code;

/** 类型id */
@Excel(name = "类型id")
@ApiModelProperty(value = "类型id")
private Long typeId;

/** 设备状态(自有，待上架，上架，在租，下架)考虑数据字典 */
@Excel(name = "设备状态(自有，待上架，上架，在租，下架)考虑数据字典")
@ApiModelProperty(value = "设备状态(自有，待上架，上架，在租，下架)考虑数据字典")
private String maStatus;

/** 租赁范围 */
@Excel(name = "租赁范围")
@ApiModelProperty(value = "租赁范围")
private Long leaseScope;

/** 设备所在地 */
@Excel(name = "设备所在地")
@ApiModelProperty(value = "设备所在地")
private String location;

@Excel(name = "设备所在省id")
@ApiModelProperty(value = "设备所在省id")
private Integer provinceId;

@Excel(name = "设备所在市id")
@ApiModelProperty(value = "设备所在市id")
private Integer cityId;

@Excel(name = "设备所在区id")
@ApiModelProperty(value = "设备所在省id")
private Integer areaId;

/** 设备品牌 */
@Excel(name = "设备品牌")
@ApiModelProperty(value = "设备品牌")
private String brand;

/** 设备型号 */
@Excel(name = "设备型号")
@ApiModelProperty(value = "设备型号")
private String modelName;

/** 出厂日期 */
@Excel(name = "出厂日期")
@ApiModelProperty(value = "出厂日期")
private String productionDate;

/** 工作时长 */
@Excel(name = "工作时长")
@ApiModelProperty(value = "工作时长")
private String workingHours;

/** 整机序列号 */
@Excel(name = "整机序列号")
@ApiModelProperty(value = "整机序列号")
private String serialNumber;

/** 设备月租价 */
@Excel(name = "设备月租价")
@ApiModelProperty(value = "设备月租价")
private Float monthLeasePrice;

/** 设备天租价 */
@Excel(name = "设备天租价")
@ApiModelProperty(value = "设备天租价")
private Float dayLeasePrice;

/** 设备主照片 */
@Excel(name = "设备主照片")
@ApiModelProperty(value = "设备主照片")
private String picUrl;

/** 机手月租金 */
@Excel(name = "机手月租金")
@ApiModelProperty(value = "机手月租金")
private Float jsMonthPrice;

/** 机手天租金 */
@Excel(name = "机手天租金")
@ApiModelProperty(value = "机手天租金")
private Float jsDayPrice;

/** 详细描述 */
@Excel(name = "详细描述")
@ApiModelProperty(value = "详细描述")
private String description;

/** gps编号 */
@Excel(name = "gps编号")
@ApiModelProperty(value = "gps编号")
private String gpsCode;

/** 设备所属公司 */
@Excel(name = "设备所属公司")
@ApiModelProperty(value = "设备所属公司")
private Long ownCo;

/** 创建人 */
@Excel(name = "创建人")
@ApiModelProperty(value = "创建人")
private Long creator;

/** 设备规格 */
@Excel(name = "设备规格")
@ApiModelProperty(value = "设备规格")
private String specification;

/** 订金 */
@Excel(name = "订金")
@ApiModelProperty(value = "订金")
private BigDecimal deposit;

/** 是否删除 */
@Excel(name = "是否配备机手")
@ApiModelProperty(value = "是否配备机手")
private String isOperator;

/** 是否删除 */
@Excel(name = "是否删除")
@ApiModelProperty(value = "是否删除")
private String isActive;
/**文件附件*/
private List<SysFileInfo> fileList;
/**城市*/
private  String city;


//企业名称
@ApiModelProperty(value = "企业名称", required = true)
private String companyName;

//装备类型  父级类型typeName
@ApiModelProperty(value = "装备类型", required = true)
private String parentDevType;

//类型名称 当前设备类型名称typeName
@ApiModelProperty(value = "类型名称", required = true)
private String devTypeName;

//装备名称  devTypeName+model_name
@ApiModelProperty(value = "装备名称", required = true)
private String devName;

//设备检验信息图片路径
@ApiModelProperty(value = "设备检验信息图片路径", required = true)
private String inspectImageUrl;

//设备保险信息图片路径
@ApiModelProperty(value = "设备保险信息图片路径", required = true)
private String insureImageUrl;


//系统编码
@ApiModelProperty(value = "系统编码", required = true)
private String code;

//装备名称
@ApiModelProperty(value = "装备名称", required = true)
private String name;

//企业名称
@ApiModelProperty(value = "企业名称", required = true)
private String companyName;

//类型id  根据这个查谁的父id是这个
@ApiModelProperty(value = "类型id", required = true)
private Integer typeId;


@ApiModelProperty(value = "系统编码", required = true)
    private String code;

    //装备名称
    @ApiModelProperty(value = "装备名称", required = true)
    private String name;

    //企业名称
    @ApiModelProperty(value = "企业名称", required = true)
    private String companyName;

    //类型id  根据这个查谁的父id是这个
    @ApiModelProperty(value = "类型id", required = true)
    private Integer typeId;


    /** 设备月租价 */
    @Excel(name = "设备月租价")
    @ApiModelProperty(value = "设备月租价")
    private Float monthLeasePrice;

    /** 设备天租价 */
    @Excel(name = "设备天租价")
    @ApiModelProperty(value = "设备天租价")
    private Float dayLeasePrice;